# get customer deposit transactions

GET https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit
Content-Type: application/json

Retrieves the list of deposit transactions for a specific customer.

**Method:** `GET`  
**URL:** `{{ENDPOINT}}/{{AGENT_ID}}/customers/0809991234/transactions/deposit`

### Parameters

| Variable / Segment | Description |
|---|---|
| `{{ENDPOINT}}` | Base URL of the API server |
| `{{AGENT_ID}}` | Unique identifier of the agent managing the customer |
| `0809991234` | The customer's phone number or unique identifier |

### Authentication
Requires an API key passed via the `x-api-key` request header using the `{{API_KEY}}` environment variable.

### Notes
- Returns a history of all inbound (deposit) transactions associated with the specified customer.
- Replace `0809991234` with the actual customer identifier when using this request.
- Response may include transaction details such as amount, timestamp, network, status, and transaction hash.

Reference: https://docs.gwapialoha.co/web-api/get-customer-deposit-transactions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /[AGENT_ID]/customers/0809991234/transactions/deposit:
    get:
      operationId: get-customer-deposit-transactions
      summary: get customer deposit transactions
      description: >-
        Retrieves the list of deposit transactions for a specific customer.


        **Method:** `GET`  

        **URL:**
        `{{ENDPOINT}}/{{AGENT_ID}}/customers/0809991234/transactions/deposit`


        ### Parameters


        | Variable / Segment | Description |

        |---|---|

        | `{{ENDPOINT}}` | Base URL of the API server |

        | `{{AGENT_ID}}` | Unique identifier of the agent managing the customer
        |

        | `0809991234` | The customer's phone number or unique identifier |


        ### Authentication

        Requires an API key passed via the `x-api-key` request header using the
        `{{API_KEY}}` environment variable.


        ### Notes

        - Returns a history of all inbound (deposit) transactions associated
        with the specified customer.

        - Replace `0809991234` with the actual customer identifier when using
        this request.

        - Response may include transaction details such as amount, timestamp,
        network, status, and transaction hash.
      tags:
        - ''
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get customer deposit
                  transactions_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chain:
                  type: string
              required:
                - chain
servers:
  - url: https://api.gwapialoha.co/api/agents
components:
  schemas:
    get customer deposit transactions_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: get customer deposit transactions_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

```

## SDK Code Examples

```python
import requests

url = "https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit"

payload = { "chain": "tron" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"chain":"tron"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit"

	payload := strings.NewReader("{\n  \"chain\": \"tron\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"chain\": \"tron\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"chain\": \"tron\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit', [
  'body' => '{
  "chain": "tron"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"chain\": \"tron\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["chain": "tron"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gwapialoha.co/api/agents/[AGENT_ID]/customers/0809991234/transactions/deposit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```